#!/usr/bin/env python

import os, zipfile

__version__ = "1.1"

files = ["LICENSE.txt",
         "makepackage.py",
         "README.html",
         "README.txt",
         "setup.py",

         "Presentation/constants.py",
         "Presentation/highlighter.py",
         "Presentation/items.py",
         "Presentation/main.pyw",
         "Presentation/slides.py",

         "Presentation/Images/demos-faded.jpg",
         "Presentation/Images/photos-greenphone.png",
         "Presentation/Images/photos-n800.png",
         "Presentation/Images/qconfig.png",

         "Examples/Device_Examples/__init__.py",
         "Examples/Device_Examples/painting.py",
         "Examples/Device_Examples/space.py",
         "Examples/Device_Examples/swirl.py",

         "Examples/Device_Examples/photos/__init__.py",
         "Examples/Device_Examples/photos/extra_photos.qrc",
         "Examples/Device_Examples/photos/photos_n800.py",
         "Examples/Device_Examples/photos/photos_rotated.py",

         "Examples/Device_Examples/photos/images/dsc02120-Il-Duomo.jpg",
         "Examples/Device_Examples/photos/images/dsc02133-Hotel-Astoria.jpg",
         "Examples/Device_Examples/photos/images/greenphone-python.jpg",

         "Examples/Phonon/__init__.py",
         "Examples/Phonon/player.py",

         "Examples/WebKit/__init__.py",
         "Examples/WebKit/augmented.py",
         "Examples/WebKit/simple_augmented.py",

         "Examples/Widgets/__init__.py",
         "Examples/Widgets/pypi_information.py",
         "Examples/Widgets/pypi.py",

         "Examples/widgets.py",

         "Examples/XMLPatterns/__init__.py",
         "Examples/XMLPatterns/symbols.qrc",
         "Examples/XMLPatterns/weatherquery.py",
         "Examples/XMLPatterns/images/01d.png",
         "Examples/XMLPatterns/images/02d.png",
         "Examples/XMLPatterns/images/03d.png",
         "Examples/XMLPatterns/images/04.png",
         "Examples/XMLPatterns/images/05d.png",
         "Examples/XMLPatterns/images/06d.png",
         "Examples/XMLPatterns/images/07d.png",
         "Examples/XMLPatterns/images/08d.png",
         "Examples/XMLPatterns/images/09.png",
         "Examples/XMLPatterns/images/10.png",
         "Examples/XMLPatterns/images/11.png",
         "Examples/XMLPatterns/images/12.png",
         "Examples/XMLPatterns/images/13.png",
         "Examples/XMLPatterns/images/14.png",
         "Examples/XMLPatterns/images/15.png"]


base_name = "PyCon_Italia_2009_PyQt_for_Desktop_and_Embedded_Devices-%s" % __version__

z = zipfile.ZipFile(base_name + os.extsep + "zip", "w", zipfile.ZIP_DEFLATED)

for path in files:

    local_path = path.replace("/", os.sep)
    archive_path = base_name + "/" + path
    print "Adding", local_path, "as", archive_path
    z.write(local_path, archive_path)

z.close()
